<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/include/SampleApp/UIManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a></li><li class="navelem"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">UIManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_u_i_manager_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_SAMPLEAPP_INCLUDE_SAMPLEAPP_UIMANAGER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_SAMPLEAPP_INCLUDE_SAMPLEAPP_UIMANAGER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_auth_observer_interface_8h.html">AVSCommon/SDKInterfaces/AuthObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capabilities_observer_interface_8h.html">AVSCommon/SDKInterfaces/CapabilitiesObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_dialog_u_x_state_observer_interface_8h.html">AVSCommon/SDKInterfaces/DialogUXStateObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_connection_status_observer_interface_8h.html">AVSCommon/SDKInterfaces/ConnectionStatusObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_auth_observer_interface_8h.html">AVSCommon/SDKInterfaces/AuthObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_notifications_observer_interface_8h.html">AVSCommon/SDKInterfaces/NotificationsObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_single_setting_observer_interface_8h.html">AVSCommon/SDKInterfaces/SingleSettingObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speaker_interface_8h.html">AVSCommon/SDKInterfaces/SpeakerInterface.h</a>&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speaker_manager_observer_interface_8h.html">AVSCommon/SDKInterfaces/SpeakerManagerObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_bluetooth_device_observer_interface_8h.html">AVSCommon/SDKInterfaces/Bluetooth/BluetoothDeviceObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_executor_8h.html">AVSCommon/Utils/Threading/Executor.h</a>&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_c_b_l_auth_requester_interface_8h.html">CBLAuthDelegate/CBLAuthRequesterInterface.h</a>&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_device_settings_manager_8h.html">Settings/DeviceSettingsManager.h</a>&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_setting_callbacks_8h.html">Settings/SettingCallbacks.h</a>&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">namespace </span>sampleApp {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">   41</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">UIManager</a></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">avsCommon::sdkInterfaces::AuthObserverInterface</a></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html">avsCommon::sdkInterfaces::CapabilitiesObserverInterface</a></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_single_setting_observer_interface.html">avsCommon::sdkInterfaces::SingleSettingObserverInterface</a></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html">avsCommon::sdkInterfaces::SpeakerManagerObserverInterface</a></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_notifications_observer_interface.html">avsCommon::sdkInterfaces::NotificationsObserverInterface</a></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_observer_interface.html">avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceObserverInterface</a></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_requester_interface.html">authorization::cblAuthDelegate::CBLAuthRequesterInterface</a> {</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a1913619f3a452d38a6b704beace86b24">   52</a></span>&#160;    <span class="keyword">using</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_obser94c6197e70b66554b18e449b4b42c987.html">DeviceAttributes</a> = <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_obser94c6197e70b66554b18e449b4b42c987.html">avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceObserverInterface::DeviceAttributes</a>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a28631f55831e8fabfe843b98747d7f5f">UIManager</a>();</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a05ee82a39efc166f146f470d83797660">onDialogUXStateChanged</a>(<a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a728a1ce41f6997d23f740e452dc5e066">DialogUXState</a> state) <span class="keyword">override</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a1b5373f1d869d2b2217f972f716db2e5">onConnectionStatusChanged</a>(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">Status</a> status, <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">ChangedReason</a> reason) <span class="keyword">override</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afe177847b65bb0491f78389ebddd2439">onSettingChanged</a>(<span class="keyword">const</span> std::string&amp; key, <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a584c4c69be2c31cdb86bf4aad4e08727">onSpeakerSettingsChanged</a>(</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a>&amp; source,</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a>&amp; type,</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>&amp; settings) <span class="keyword">override</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aae53a01103015c22fbccc9bebb6999fe">onSetIndicator</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">avsCommon::avs::IndicatorState</a> state) <span class="keyword">override</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ac4430ec4c6703af1197347a80d33c282">onRequestAuthorization</a>(<span class="keyword">const</span> std::string&amp; url, <span class="keyword">const</span> std::string&amp; code) <span class="keyword">override</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a08da9e3aaa2a0c823e770fca9a9c4b18">onCheckingForAuthorization</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a671c9b59c97c768beed69f8e7f7fd504">onAuthStateChange</a>(</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">avsCommon::sdkInterfaces::AuthObserverInterface::State</a> newState,</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">avsCommon::sdkInterfaces::AuthObserverInterface::Error</a> newError) <span class="keyword">override</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ac9e00f45d5e5a982bb04902a8aae4d26">onCapabilitiesStateChange</a>(</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8">avsCommon::sdkInterfaces::CapabilitiesObserverInterface::State</a> newState,</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8">avsCommon::sdkInterfaces::CapabilitiesObserverInterface::Error</a> newError) <span class="keyword">override</span>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="comment">// @{</span></div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a31992602eccd90a28555e64c309c10bc">onActiveDeviceConnected</a>(<span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_obser94c6197e70b66554b18e449b4b42c987.html">DeviceAttributes</a>&amp; deviceAttributes) <span class="keyword">override</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a7715d2599838907e5d88a9488dedc362">onActiveDeviceDisconnected</a>(<span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_obser94c6197e70b66554b18e449b4b42c987.html">DeviceAttributes</a>&amp; deviceAttributes) <span class="keyword">override</span>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afe9e6730bf054582ee51af8e069eede6">printWelcomeScreen</a>();</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aa052e8363a53efbaec26388afe272445">printHelpScreen</a>();</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a9e700d3b6c2b808d194b4f875555cd34">printLimitedHelp</a>();</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afb41c9530fcfe52dd1f53e8cbb3728ca">printSettingsScreen</a>();</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#abaaa1463b6aa1f2d5b87496d3d422a04">printLocaleScreen</a>();</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a6ef056935fa3018a6a4cada5086b1e5a">printSpeakerControlScreen</a>();</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a408fffbd2c3386521f2612f807f1d1c9">printFirmwareVersionControlScreen</a>();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ad99848073d7512fdaf1cae0ad85071a9">printVolumeControlScreen</a>();</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="preprocessor">#ifdef ENABLE_PCC</span></div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keywordtype">void</span> printPhoneControlScreen();</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    <span class="keywordtype">void</span> printCallerIdScreen();</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="keywordtype">void</span> printCallIdScreen();</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#acf68d80d403a735eb8ab8dff6bbdb847">printESPControlScreen</a>(<span class="keywordtype">bool</span> support, <span class="keyword">const</span> std::string&amp; voiceEnergy, <span class="keyword">const</span> std::string&amp; ambientEnergy);</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a4d9f2e511aeb65bc88c51588deeaef96">printCommsControlScreen</a>();</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aa54e27dcd794ec4e65f458a381df7710">printErrorScreen</a>();</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#af8001ce51b81bb4ff7c859c24844cfd4">microphoneOff</a>();</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;<span class="comment">     * Prints the state that Alexa is currenty in.</span></div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a87ae99a8aaa6583fa92dcc30ef82b09d">microphoneOn</a>();</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aad5bd75d6644cdb6365dbf9091087581">printResetWarning</a>();</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aabe2d620b89188dd3e5ee89ec4ea32f1">printResetConfirmation</a>();</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a0f803fb99dee35ddb55cbca72e1addc7">printReauthorizeConfirmation</a>();</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a9a6004786ae1bbd272a4348600c78215">printESPNotSupported</a>();</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aee0ce9863a5f0525c5dcb391e8688f33">printESPDataOverrideNotSupported</a>();</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a5905b75b164604980e39f77ccb17e69a">printCommsNotSupported</a>();</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a3b10accdb929579e46483b575141979f">configureSettingsNotifications</a>(std::shared_ptr&lt;settings::DeviceSettingsManager&gt; settingsManager);</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afbf232028b65b2e9773c9456e0412264">printDoNotDisturbScreen</a>();</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;    <span class="keywordtype">void</span> printState();</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    <span class="keywordtype">void</span> onBooleanSettingNotification(</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;        <span class="keyword">const</span> std::string&amp; name,</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;        <span class="keywordtype">bool</span> enable,</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1settings.html#a65b348e86299aa3f3fcdf4a5f924e025">settings::SettingNotifications</a> notification);</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;    <span class="keywordtype">void</span> setFailureStatus(<span class="keyword">const</span> std::string&amp; status);</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a728a1ce41f6997d23f740e452dc5e066">DialogUXState</a> m_dialogState;</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8">avsCommon::sdkInterfaces::CapabilitiesObserverInterface::State</a> m_capabilitiesState;</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8">avsCommon::sdkInterfaces::CapabilitiesObserverInterface::Error</a> m_capabilitiesError;</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">avsCommon::sdkInterfaces::AuthObserverInterface::State</a> m_authState;</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;    <span class="keywordtype">int</span> m_authCheckCounter;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a> m_connectionStatus;</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor.html">avsCommon::utils::threading::Executor</a> m_executor;</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;    <span class="comment">// String that holds a failure status message to be displayed when we are in limited mode.</span></div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;    std::string m_failureStatus;</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;    <span class="comment">// Object that manages settings notifications.</span></div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;    std::shared_ptr&lt;settings::SettingCallbacks&lt;settings::DeviceSettingsManager&gt;&gt; m_callbacks;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;};</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;}  <span class="comment">// namespace sampleApp</span></div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_SAMPLEAPP_INCLUDE_SAMPLEAPP_UIMANAGER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></div><div class="ttdef"><b>Definition:</b> UIManager.h:41</div></div>
<div class="ttc" id="_bluetooth_device_observer_interface_8h_html"><div class="ttname"><a href="_bluetooth_device_observer_interface_8h.html">BluetoothDeviceObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a0f803fb99dee35ddb55cbca72e1addc7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a0f803fb99dee35ddb55cbca72e1addc7">alexaClientSDK::sampleApp::UIManager::printReauthorizeConfirmation</a></div><div class="ttdeci">void printReauthorizeConfirmation()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:532</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html_aec54cdb601e5f93a516400d99663d11e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::ChangedReason</a></div><div class="ttdeci">ChangedReason</div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:47</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a87ae99a8aaa6583fa92dcc30ef82b09d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a87ae99a8aaa6583fa92dcc30ef82b09d">alexaClientSDK::sampleApp::UIManager::microphoneOn</a></div><div class="ttdeci">void microphoneOn()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:547</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a7715d2599838907e5d88a9488dedc362"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a7715d2599838907e5d88a9488dedc362">alexaClientSDK::sampleApp::UIManager::onActiveDeviceDisconnected</a></div><div class="ttdeci">void onActiveDeviceDisconnected(const DeviceAttributes &amp;deviceAttributes) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:642</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a05ee82a39efc166f146f470d83797660"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a05ee82a39efc166f146f470d83797660">alexaClientSDK::sampleApp::UIManager::onDialogUXStateChanged</a></div><div class="ttdeci">void onDialogUXStateChanged(DialogUXState state) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:324</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a4d9f2e511aeb65bc88c51588deeaef96"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a4d9f2e511aeb65bc88c51588deeaef96">alexaClientSDK::sampleApp::UIManager::printCommsControlScreen</a></div><div class="ttdeci">void printCommsControlScreen()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:516</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface_html_ac5355f9a98b5f65b3a5fa3603b1035a8"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface::Error</a></div><div class="ttdeci">Error</div><div class="ttdoc">The enum Error encodes possible errors which may occur when changing state. </div><div class="ttdef"><b>Definition:</b> CapabilitiesObserverInterface.h:43</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a5905b75b164604980e39f77ccb17e69a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a5905b75b164604980e39f77ccb17e69a">alexaClientSDK::sampleApp::UIManager::printCommsNotSupported</a></div><div class="ttdeci">void printCommsNotSupported()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:605</div></div>
<div class="ttc" id="_speaker_interface_8h_html"><div class="ttname"><a href="_speaker_interface_8h.html">SpeakerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_html_a45fb9f447f7a2ed2d9ffb211c089de93"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::Type</a></div><div class="ttdeci">Type</div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_ac9e00f45d5e5a982bb04902a8aae4d26"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ac9e00f45d5e5a982bb04902a8aae4d26">alexaClientSDK::sampleApp::UIManager::onCapabilitiesStateChange</a></div><div class="ttdeci">void onCapabilitiesStateChange(avsCommon::sdkInterfaces::CapabilitiesObserverInterface::State newState, avsCommon::sdkInterfaces::CapabilitiesObserverInterface::Error newError) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:439</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_obser94c6197e70b66554b18e449b4b42c987_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_obser94c6197e70b66554b18e449b4b42c987.html">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceObserverInterface::DeviceAttributes</a></div><div class="ttdef"><b>Definition:</b> BluetoothDeviceObserverInterface.h:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor.html">alexaClientSDK::avsCommon::utils::threading::Executor</a></div><div class="ttdef"><b>Definition:</b> Executor.h:39</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface_html_a62a72a6ac191b845c9a379a7d4ad56f4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface::State</a></div><div class="ttdeci">State</div><div class="ttdoc">The enum State describes the state of authorization. </div><div class="ttdef"><b>Definition:</b> AuthObserverInterface.h:34</div></div>
<div class="ttc" id="_auth_observer_interface_8h_html"><div class="ttname"><a href="_auth_observer_interface_8h.html">AuthObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_notifications_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_notifications_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::NotificationsObserverInterface</a></div><div class="ttdef"><b>Definition:</b> NotificationsObserverInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_afe9e6730bf054582ee51af8e069eede6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afe9e6730bf054582ee51af8e069eede6">alexaClientSDK::sampleApp::UIManager::printWelcomeScreen</a></div><div class="ttdeci">void printWelcomeScreen()</div><div class="ttdoc">} </div><div class="ttdef"><b>Definition:</b> UIManager.cpp:456</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_single_setting_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_single_setting_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SingleSettingObserverInterface</a></div><div class="ttdef"><b>Definition:</b> SingleSettingObserverInterface.h:27</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a08da9e3aaa2a0c823e770fca9a9c4b18"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a08da9e3aaa2a0c823e770fca9a9c4b18">alexaClientSDK::sampleApp::UIManager::onCheckingForAuthorization</a></div><div class="ttdeci">void onCheckingForAuthorization() override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:381</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface</a></div><div class="ttdef"><b>Definition:</b> CapabilitiesObserverInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceObserverInterface</a></div><div class="ttdef"><b>Definition:</b> BluetoothDeviceObserverInterface.h:30</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a9a6004786ae1bbd272a4348600c78215"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a9a6004786ae1bbd272a4348600c78215">alexaClientSDK::sampleApp::UIManager::printESPNotSupported</a></div><div class="ttdeci">void printESPNotSupported()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:601</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface_html_a728a1ce41f6997d23f740e452dc5e066"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a728a1ce41f6997d23f740e452dc5e066">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface::DialogUXState</a></div><div class="ttdeci">DialogUXState</div><div class="ttdoc">The different dialog specific AVS UX states. </div><div class="ttdef"><b>Definition:</b> DialogUXStateObserverInterface.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a584c4c69be2c31cdb86bf4aad4e08727"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a584c4c69be2c31cdb86bf4aad4e08727">alexaClientSDK::sampleApp::UIManager::onSpeakerSettingsChanged</a></div><div class="ttdeci">void onSpeakerSettingsChanged(const avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source &amp;source, const avsCommon::sdkInterfaces::SpeakerInterface::Type &amp;type, const avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings &amp;settings) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:351</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_acf68d80d403a735eb8ab8dff6bbdb847"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#acf68d80d403a735eb8ab8dff6bbdb847">alexaClientSDK::sampleApp::UIManager::printESPControlScreen</a></div><div class="ttdeci">void printESPControlScreen(bool support, const std::string &amp;voiceEnergy, const std::string &amp;ambientEnergy)</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:503</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_aae53a01103015c22fbccc9bebb6999fe"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aae53a01103015c22fbccc9bebb6999fe">alexaClientSDK::sampleApp::UIManager::onSetIndicator</a></div><div class="ttdeci">void onSetIndicator(avsCommon::avs::IndicatorState state) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:363</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_afe177847b65bb0491f78389ebddd2439"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afe177847b65bb0491f78389ebddd2439">alexaClientSDK::sampleApp::UIManager::onSettingChanged</a></div><div class="ttdeci">void onSettingChanged(const std::string &amp;key, const std::string &amp;value) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:344</div></div>
<div class="ttc" id="_single_setting_observer_interface_8h_html"><div class="ttname"><a href="_single_setting_observer_interface_8h.html">SingleSettingObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a></div><div class="ttdef"><b>Definition:</b> AuthObserverInterface.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_aad5bd75d6644cdb6365dbf9091087581"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aad5bd75d6644cdb6365dbf9091087581">alexaClientSDK::sampleApp::UIManager::printResetWarning</a></div><div class="ttdeci">void printResetWarning()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:536</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_af8001ce51b81bb4ff7c859c24844cfd4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#af8001ce51b81bb4ff7c859c24844cfd4">alexaClientSDK::sampleApp::UIManager::microphoneOff</a></div><div class="ttdeci">void microphoneOff()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:524</div></div>
<div class="ttc" id="_executor_8h_html"><div class="ttname"><a href="_executor_8h.html">Executor.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_ac4430ec4c6703af1197347a80d33c282"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ac4430ec4c6703af1197347a80d33c282">alexaClientSDK::sampleApp::UIManager::onRequestAuthorization</a></div><div class="ttdeci">void onRequestAuthorization(const std::string &amp;url, const std::string &amp;code) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:371</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface_html_a0638b7e7b3ae7d69b2e142eae333d1f8"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface::State</a></div><div class="ttdeci">State</div><div class="ttdoc">The enum State describes the state of the CapabilitiesDelegate. </div><div class="ttdef"><b>Definition:</b> CapabilitiesObserverInterface.h:31</div></div>
<div class="ttc" id="_setting_callbacks_8h_html"><div class="ttname"><a href="_setting_callbacks_8h.html">SettingCallbacks.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a31992602eccd90a28555e64c309c10bc"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a31992602eccd90a28555e64c309c10bc">alexaClientSDK::sampleApp::UIManager::onActiveDeviceConnected</a></div><div class="ttdeci">void onActiveDeviceConnected(const DeviceAttributes &amp;deviceAttributes) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:629</div></div>
<div class="ttc" id="_capabilities_observer_interface_8h_html"><div class="ttname"><a href="_capabilities_observer_interface_8h.html">CapabilitiesObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a671c9b59c97c768beed69f8e7f7fd504"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a671c9b59c97c768beed69f8e7f7fd504">alexaClientSDK::sampleApp::UIManager::onAuthStateChange</a></div><div class="ttdeci">void onAuthStateChange(avsCommon::sdkInterfaces::AuthObserverInterface::State newState, avsCommon::sdkInterfaces::AuthObserverInterface::Error newError) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:389</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface</a></div><div class="ttdef"><b>Definition:</b> SpeakerManagerObserverInterface.h:32</div></div>
<div class="ttc" id="_device_settings_manager_8h_html"><div class="ttname"><a href="_device_settings_manager_8h.html">DeviceSettingsManager.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a3b10accdb929579e46483b575141979f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a3b10accdb929579e46483b575141979f">alexaClientSDK::sampleApp::UIManager::configureSettingsNotifications</a></div><div class="ttdeci">bool configureSettingsNotifications(std::shared_ptr&lt; settings::DeviceSettingsManager &gt; settingsManager)</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:616</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a408fffbd2c3386521f2612f807f1d1c9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a408fffbd2c3386521f2612f807f1d1c9">alexaClientSDK::sampleApp::UIManager::printFirmwareVersionControlScreen</a></div><div class="ttdeci">void printFirmwareVersionControlScreen()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:481</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface_html_a3a3b2f95459c18e64fab7a296ad9fbce"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface::Error</a></div><div class="ttdeci">Error</div><div class="ttdoc">The enum Error encodes possible errors which may occur when changing state. </div><div class="ttdef"><b>Definition:</b> AuthObserverInterface.h:46</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a></div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:50</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_aabe2d620b89188dd3e5ee89ec4ea32f1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aabe2d620b89188dd3e5ee89ec4ea32f1">alexaClientSDK::sampleApp::UIManager::printResetConfirmation</a></div><div class="ttdeci">void printResetConfirmation()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:528</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_aa052e8363a53efbaec26388afe272445"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aa052e8363a53efbaec26388afe272445">alexaClientSDK::sampleApp::UIManager::printHelpScreen</a></div><div class="ttdeci">void printHelpScreen()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:460</div></div>
<div class="ttc" id="_speaker_manager_observer_interface_8h_html"><div class="ttname"><a href="_speaker_manager_observer_interface_8h.html">SpeakerManagerObserverInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_connection_status_observer_interface_8h_html"><div class="ttname"><a href="_connection_status_observer_interface_8h.html">ConnectionStatusObserverInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1settings_html_a65b348e86299aa3f3fcdf4a5f924e025"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1settings.html#a65b348e86299aa3f3fcdf4a5f924e025">alexaClientSDK::settings::SettingNotifications</a></div><div class="ttdeci">SettingNotifications</div><div class="ttdef"><b>Definition:</b> SettingObserverInterface.h:27</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a6a5edb881441743163d6e1e4fd5423a0"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">alexaClientSDK::avsCommon::avs::IndicatorState</a></div><div class="ttdeci">IndicatorState</div><div class="ttdef"><b>Definition:</b> IndicatorState.h:30</div></div>
<div class="ttc" id="_notifications_observer_interface_8h_html"><div class="ttname"><a href="_notifications_observer_interface_8h.html">NotificationsObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_abaaa1463b6aa1f2d5b87496d3d422a04"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#abaaa1463b6aa1f2d5b87496d3d422a04">alexaClientSDK::sampleApp::UIManager::printLocaleScreen</a></div><div class="ttdeci">void printLocaleScreen()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:473</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface_html_a38d6a50cc5799f07612827e1a163babb"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a></div><div class="ttdeci">Source</div><div class="ttdoc">Indicates whether the source of the call is from an AVS Directive or through a Local API call...</div><div class="ttdef"><b>Definition:</b> SpeakerManagerObserverInterface.h:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_afbf232028b65b2e9773c9456e0412264"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afbf232028b65b2e9773c9456e0412264">alexaClientSDK::sampleApp::UIManager::printDoNotDisturbScreen</a></div><div class="ttdeci">void printDoNotDisturbScreen()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:540</div></div>
<div class="ttc" id="_dialog_u_x_state_observer_interface_8h_html"><div class="ttname"><a href="_dialog_u_x_state_observer_interface_8h.html">DialogUXStateObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a6ef056935fa3018a6a4cada5086b1e5a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a6ef056935fa3018a6a4cada5086b1e5a">alexaClientSDK::sampleApp::UIManager::printSpeakerControlScreen</a></div><div class="ttdeci">void printSpeakerControlScreen()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:477</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_aa54e27dcd794ec4e65f458a381df7710"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aa54e27dcd794ec4e65f458a381df7710">alexaClientSDK::sampleApp::UIManager::printErrorScreen</a></div><div class="ttdeci">void printErrorScreen()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:520</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a9e700d3b6c2b808d194b4f875555cd34"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a9e700d3b6c2b808d194b4f875555cd34">alexaClientSDK::sampleApp::UIManager::printLimitedHelp</a></div><div class="ttdeci">void printLimitedHelp()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:464</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_aee0ce9863a5f0525c5dcb391e8688f33"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aee0ce9863a5f0525c5dcb391e8688f33">alexaClientSDK::sampleApp::UIManager::printESPDataOverrideNotSupported</a></div><div class="ttdeci">void printESPDataOverrideNotSupported()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:597</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_afb41c9530fcfe52dd1f53e8cbb3728ca"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afb41c9530fcfe52dd1f53e8cbb3728ca">alexaClientSDK::sampleApp::UIManager::printSettingsScreen</a></div><div class="ttdeci">void printSettingsScreen()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:469</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a1b5373f1d869d2b2217f972f716db2e5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a1b5373f1d869d2b2217f972f716db2e5">alexaClientSDK::sampleApp::UIManager::onConnectionStatusChanged</a></div><div class="ttdeci">void onConnectionStatusChanged(const Status status, const ChangedReason reason) override</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:334</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_requester_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_requester_interface.html">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthRequesterInterface</a></div><div class="ttdef"><b>Definition:</b> CBLAuthRequesterInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface_html_a2e6b08990caa9d1911b01d51d92806b4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface::Status</a></div><div class="ttdeci">Status</div><div class="ttdef"><b>Definition:</b> ConnectionStatusObserverInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_a28631f55831e8fabfe843b98747d7f5f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a28631f55831e8fabfe843b98747d7f5f">alexaClientSDK::sampleApp::UIManager::UIManager</a></div><div class="ttdeci">UIManager()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:307</div></div>
<div class="ttc" id="_c_b_l_auth_requester_interface_8h_html"><div class="ttname"><a href="_c_b_l_auth_requester_interface_8h.html">CBLAuthRequesterInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></div><div class="ttdoc">A dialog specific UX state observer. </div><div class="ttdef"><b>Definition:</b> DialogUXStateObserverInterface.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager_html_ad99848073d7512fdaf1cae0ad85071a9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ad99848073d7512fdaf1cae0ad85071a9">alexaClientSDK::sampleApp::UIManager::printVolumeControlScreen</a></div><div class="ttdeci">void printVolumeControlScreen()</div><div class="ttdef"><b>Definition:</b> UIManager.cpp:485</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
